package com.seatel.mobilehall.ui.profile.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.view.View
import com.seatel.mobilehall.databinding.ActivityChangePasswordCompletedBinding
import com.seatel.mobilehall.ui.base.activity.BaseActivity

class ChangePasswordCompletedActivity : BaseActivity<ActivityChangePasswordCompletedBinding>(),
    View.OnClickListener {

    override fun onClick(v: View?) {
        onBackPressed()
    }

    override fun getViewBinding(): ActivityChangePasswordCompletedBinding {
        return ActivityChangePasswordCompletedBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        //  setContentView(R.layout.activity_change_password_completed)
        activityEnterFadeInAnimation()
        binding.buttonChangePasswordOk.setOnClickListener(this)
    }

    override fun onBackPressed() {
        super.onBackPressed()
        super.activityExitFadeOutAnimation()
    }

    companion object {
        fun lunch(context: Context) {
            val intent = Intent(context, ChangePasswordCompletedActivity::class.java)
            context.startActivity(intent)
        }
    }

    override fun isDisplayToolbar(): Boolean {
        return false
    }
}
